Loading...
Searching...
No Matches
gtsam::MultiplyWithInverseFunction< T, N > Struct Template Reference

## Detailed Description

template<typename T, int N>
struct gtsam::MultiplyWithInverseFunction< T, N >

Functor that implements multiplication with the inverse of a matrix, itself the result of a function f.

It turn out we only need the derivatives of the operator phi(a): b -> f(a) * b

## Public Member Functions

| MultiplyWithInverseFunction (const Operator &phi)
| Construct with function as explained above.
VectorN | operator() (const T &a, const VectorN &b, OptionalJacobian< N, M > H1=boost::none, OptionalJacobian< N, N > H2=boost::none) const
| f(a).inverse() * b, with optional derivatives

## Public Types

enum | { M = traits<T>::dimension }
typedef Eigen::Matrix< double, N, 1 > | VectorN
typedef Eigen::Matrix< double, N, N > | MatrixN
typedef std::function< VectorN(const T &, const VectorN &, OptionalJacobian< N, M >, OptionalJacobian< N, N >)> | Operator

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/Matrix.h